SidInfoImpl Class Referencefinal

`#include <SidInfoImpl.h>`

Inheritance diagram for SidInfoImpl:

## Public Member Functions

const char * | getName () const override
const char * | getVersion () const override
unsigned int | getNumberOfCredits () const override
const char * | getCredits (unsigned int i) const override
unsigned int | getMaxsids () const override
unsigned int | getChannels () const override
uint_least16_t | getDriverAddr () const override
uint_least16_t | getDriverLength () const override
uint_least16_t | getPowerOnDelay () const override
const char * | getSpeedString () const override
const char * | getKernalDesc () const override
const char * | getBasicDesc () const override
const char * | getChargenDesc () const override
unsigned int | getNumberOfSIDs () const override
SidTuneInfo::model_t | getSidModel (unsigned int i) const override
Public Member Functions inherited from SidInfo
const char * | name () const
| Library name.
const char * | version () const
| Library version.
unsigned int | numberOfCredits () const
| Library credits.
const char * | credits (unsigned int i) const
unsigned int | maxsids () const
| Number of SIDs supported by this library.
unsigned int | channels () const
| Number of output channels (1-mono, 2-stereo).
uint_least16_t | driverAddr () const
| Address of the driver.
uint_least16_t | driverLength () const
| Size of the driver in bytes.
uint_least16_t | powerOnDelay () const
| Power on delay.
const char * | speedString () const
| Describes the speed current song is running at.
const char * | kernalDesc () const
| Description of the laoded ROM images.
const char * | basicDesc () const
const char * | chargenDesc () const
unsigned int | numberOfSIDs () const
SidTuneInfo::model_t | sidModel (unsigned int i) const

## Public Attributes

const std::string | m_name { PACKAGE_NAME }
const std::string | m_version { PACKAGE_VERSION }
std::vector< std::string > | m_credits
std::vector< SidTuneInfo::model_t > | m_sidModels
std::string | m_speedString
std::string | m_kernalDesc
std::string | m_basicDesc
std::string | m_chargenDesc
const unsigned int | m_maxsids = libsidplayfp::Mixer::MAX_SIDS
unsigned int | m_channels = 1
uint_least16_t | m_driverAddr = 0
uint_least16_t | m_driverLength = 0
uint_least16_t | m_powerOnDelay = 0

## Detailed Description

The implementation of the SidInfo interface.

## Member Function Documentation

## getBasicDesc()

const char * SidInfoImpl::getBasicDesc | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getChannels()

unsigned int SidInfoImpl::getChannels | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getChargenDesc()

const char * SidInfoImpl::getChargenDesc | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getCredits()

const char * SidInfoImpl::getCredits | ( | unsigned int | i | ) | const

inline override virtual

Implements SidInfo.

## getDriverAddr()

uint_least16_t SidInfoImpl::getDriverAddr | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getDriverLength()

uint_least16_t SidInfoImpl::getDriverLength | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getKernalDesc()

const char * SidInfoImpl::getKernalDesc | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getMaxsids()

unsigned int SidInfoImpl::getMaxsids | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getName()

const char * SidInfoImpl::getName | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getNumberOfCredits()

unsigned int SidInfoImpl::getNumberOfCredits | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getNumberOfSIDs()

unsigned int SidInfoImpl::getNumberOfSIDs | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getPowerOnDelay()

uint_least16_t SidInfoImpl::getPowerOnDelay | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getSidModel()

SidTuneInfo::model_t SidInfoImpl::getSidModel | ( | unsigned int | i | ) | const

inline override virtual

Implements SidInfo.

## getSpeedString()

const char * SidInfoImpl::getSpeedString | ( |  | ) | const

inline override virtual

Implements SidInfo.

## getVersion()

const char * SidInfoImpl::getVersion | ( |  | ) | const

inline override virtual

Implements SidInfo.

## Member Data Documentation

## m_credits

std::vector<std::string> SidInfoImpl::m_credits

Initial value:
{
PACKAGE_NAME " V" PACKAGE_VERSION " Engine:\n"
"\tCopyright (C) 2000 Simon White\n"
"\tCopyright (C) 2007-2010 Antti Lankila\n"
"\tCopyright (C) 2010-2025 Leandro Nini\n"
"\t" PACKAGE_URL "\n"
}

The documentation for this class was generated from the following file:

- SidInfoImpl.h